com.smartgwt.client.util.workflow

## Class ShowNextToComponentTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.ShowNextToComponentTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class ShowNextToComponentTask
      extends ComponentTask

  Show a component next to some other component.
  See Also:
    `Canvas.showNextTo(com.smartgwt.client.widgets.Canvas)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowNextToComponentTask()`
    `ShowNextToComponentTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getCanOcclude()` Can this component can be positioned on top of the other component if there isn't room to show next to it?
    `java.lang.String` | `getNextToComponentId()` The other component where this component will show.
    `static ShowNextToComponentTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getSide()` Which side of the other canvas should we show? Options are "top", "bottom", "left", "right".
    `java.lang.Boolean` | `getSkipAnimation()` Set to `false` to not use animation to show component.
    `ShowNextToComponentTask` | `setCanOcclude(java.lang.Boolean canOcclude)` Can this component can be positioned on top of the other component if there isn't room to show next to it?
    `ShowNextToComponentTask` | `setNextToComponentId(java.lang.String nextToComponentId)` The other component where this component will show.
    `ShowNextToComponentTask` | `setSide(java.lang.String side)` Which side of the other canvas should we show? Options are "top", "bottom", "left", "right".
    `ShowNextToComponentTask` | `setSkipAnimation(java.lang.Boolean skipAnimation)` Set to `false` to not use animation to show component.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowNextToComponentTask

          public ShowNextToComponentTask()

    - #### ShowNextToComponentTask

          public ShowNextToComponentTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ShowNextToComponentTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setCanOcclude

          public ShowNextToComponentTask setCanOcclude(java.lang.Boolean canOcclude)
                                                throws java.lang.IllegalStateException

      Can this component can be positioned on top of the other component if there isn't room to show next to it?
      Parameters:
        `canOcclude` - New canOcclude value. Default value is null
      Returns:
        `ShowNextToComponentTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getCanOcclude

          public java.lang.Boolean getCanOcclude()

      Can this component can be positioned on top of the other component if there isn't room to show next to it?
      Returns:
        Current canOcclude value. Default value is null

    - #### setNextToComponentId

          public ShowNextToComponentTask setNextToComponentId(java.lang.String nextToComponentId)
                                                       throws java.lang.IllegalStateException

      The other component where this component will show.
      Parameters:
        `nextToComponentId` - New nextToComponentId value. Default value is null
      Returns:
        `ShowNextToComponentTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `GlobalId`

    - #### getNextToComponentId

          public java.lang.String getNextToComponentId()

      The other component where this component will show.
      Returns:
        Current nextToComponentId value. Default value is null
      See Also:
        `GlobalId`

    - #### setSide

          public ShowNextToComponentTask setSide(java.lang.String side)
                                          throws java.lang.IllegalStateException

      Which side of the other canvas should we show? Options are "top", "bottom", "left", "right". (Defaults to "right")
      Parameters:
        `side` - New side value. Default value is null
      Returns:
        `ShowNextToComponentTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getSide

          public java.lang.String getSide()

      Which side of the other canvas should we show? Options are "top", "bottom", "left", "right". (Defaults to "right")
      Returns:
        Current side value. Default value is null

    - #### setSkipAnimation

          public ShowNextToComponentTask setSkipAnimation(java.lang.Boolean skipAnimation)
                                                   throws java.lang.IllegalStateException

      Set to `false` to not use animation to show component.
      Parameters:
        `skipAnimation` - New skipAnimation value. Default value is null
      Returns:
        `ShowNextToComponentTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getSkipAnimation

          public java.lang.Boolean getSkipAnimation()

      Set to `false` to not use animation to show component.
      Returns:
        Current skipAnimation value. Default value is null